unit TitleBarConsoleApp;

interface

uses
  Windows, Messages, SysUtils, Classes, Graphics, Controls, Forms, Dialogs,
  ExtCtrls, Titlebar, StdCtrls, ExtDlgs, ColorGrd, ComCtrls;

type
  TForm1 = class(TForm)
    opd: TOpenPictureDialog;
    cd: TColorDialog;
    PageControl1: TPageControl;
    TabTitleBarOptions: TTabSheet;
    btnIcon: TButton;
    btnBtnColor: TButton;
    cbAlign: TComboBox;
    Label5: TLabel;
    CheckBox7: TCheckBox;
    CheckBox6: TCheckBox;
    Label3: TLabel;
    ScrollBar2: TScrollBar;
    ScrollBar4: TScrollBar;
    Label7: TLabel;
    Edit1: TEdit;
    Label1: TLabel;
    CheckBox1: TCheckBox;
    CheckBox2: TCheckBox;
    CheckBox3: TCheckBox;
    CheckBox4: TCheckBox;
    TabFormSheet: TTabSheet;
    cg: TColorGrid;
    btnFrmColr: TButton;
    Label4: TLabel;
    CheckBox8: TCheckBox;
    chkRaised: TCheckBox;
    chkConcaved: TCheckBox;
    ScrollBar1: TScrollBar;
    Label2: TLabel;
    TabMiscOptions: TTabSheet;
    Button2: TButton;
    ScrollBar3: TScrollBar;
    Label6: TLabel;
    CheckBox5: TCheckBox;
    cbAHT: TComboBox;
    Label8: TLabel;
    Button1: TButton;
    Button3: TButton;
    Button4: TButton;
    Titlebar1: TTitlebar;
    procedure Edit1Change(Sender: TObject);
    procedure ScrollBar1Change(Sender: TObject);
    procedure ScrollBar2Change(Sender: TObject);
    procedure btnIconClick(Sender: TObject);
    procedure chkConcavedClick(Sender: TObject);
    procedure chkRaisedClick(Sender: TObject);
    procedure CheckBox1Click(Sender: TObject);
    procedure CheckBox2Click(Sender: TObject);
    procedure CheckBox3Click(Sender: TObject);
    procedure CheckBox4Click(Sender: TObject);
    procedure cgChange(Sender: TObject);
    procedure cbAlignChange(Sender: TObject);
    procedure btnFrmColrClick(Sender: TObject);
    procedure btnBtnColorClick(Sender: TObject);
    procedure CheckBox5Click(Sender: TObject);
    procedure ScrollBar3Change(Sender: TObject);
    procedure ScrollBar4Change(Sender: TObject);
    procedure CheckBox6Click(Sender: TObject);
    procedure CheckBox7Click(Sender: TObject);
    procedure cbAHTChange(Sender: TObject);
    procedure Button1Click(Sender: TObject);
    procedure CheckBox8Click(Sender: TObject);
    procedure Button2Click(Sender: TObject);
    procedure Button3Click(Sender: TObject);
    procedure Button4Click(Sender: TObject);
    procedure PageControl1MouseDown(Sender: TObject; Button: TMouseButton;
      Shift: TShiftState; X, Y: Integer);
  private
    { Private declarations }
  public
    { Public declarations }
  end;

var
  Form1: TForm1;

implementation

{$R *.DFM}

procedure TForm1.Edit1Change(Sender: TObject);
begin

   Titlebar1.Caption := Edit1.Text;

end;

procedure TForm1.ScrollBar1Change(Sender: TObject);
begin

   TitleBar1.BorderWidth := ScrollBar1.Position;

end;

procedure TForm1.ScrollBar2Change(Sender: TObject);
begin

      TitleBar1.TBarWidth := ScrollBar2.Position;

end;

procedure TForm1.btnIconClick(Sender: TObject);
begin

   if OPD.Execute then begin
      TitleBar1.Icon.LoadFromFile( OPD.FileName );
      TitleBar1.MakeTitleBar;
   end;

end;

procedure TForm1.chkConcavedClick(Sender: TObject);
begin

   TitleBar1.Concaved := chkConcaved.Checked;

end;

procedure TForm1.chkRaisedClick(Sender: TObject);
begin

   Titlebar1.Raised := chkRaised.Checked;

end;

procedure TForm1.CheckBox1Click(Sender: TObject);
begin

   TitleBar1.CloseButton := CheckBox1.Checked;

end;

procedure TForm1.CheckBox2Click(Sender: TObject);
begin

   TitleBar1.MaxButton := CheckBox2.Checked;

end;

procedure TForm1.CheckBox3Click(Sender: TObject);
begin

   TitleBar1.MinButton := CheckBox3.Checked;

end;

procedure TForm1.CheckBox4Click(Sender: TObject);
begin

   TitleBar1.UseIcon := CheckBox4.Checked;

end;

procedure TForm1.cgChange(Sender: TObject);
begin

   TitleBar1.Color := cg.ForegroundColor;
   TitleBar1.DeActiveColor := cg.BackgroundColor;  

end;

procedure TForm1.cbAlignChange(Sender: TObject);
begin

   if cbAlign.Text = 'Top' then TitleBar1.Align := alTop;
   if cbAlign.Text = 'Bottom' then TitleBar1.Align := alBottom;
   if cbAlign.Text = 'Left' then TitleBar1.Align := alLeft;
   if cbAlign.Text = 'Right' then TitleBar1.Align := alRight;

end;

procedure TForm1.btnFrmColrClick(Sender: TObject);
begin

   if CD.Execute then TitleBar1.FormColor := CD.Color;

end;

procedure TForm1.btnBtnColorClick(Sender: TObject);
begin

   if CD.Execute then TitleBar1.ButtonColor := CD.Color;

end;

procedure TForm1.CheckBox5Click(Sender: TObject);
begin

   TitleBar1.AutoHide := CheckBox5.Checked;

end;

procedure TForm1.ScrollBar3Change(Sender: TObject);
begin

   TitleBar1.AutoHideWidth := ScrollBar3.Position;

end;

procedure TForm1.ScrollBar4Change(Sender: TObject);
begin

   Titlebar1.TBarBorderWidth := ScrollBar4.Position;

end;

procedure TForm1.CheckBox6Click(Sender: TObject);
begin

   Titlebar1.TBConcaved := CheckBox6.Checked;

end;

procedure TForm1.CheckBox7Click(Sender: TObject);
begin

   Titlebar1.TBRaised := CheckBox7.Checked;

end;

procedure TForm1.cbAHTChange(Sender: TObject);
begin

   if cbAHT.Text = 'Side' then Titlebar1.AutoHideType := ahtSide;
   if cbAHT.Text = 'Anywhere' then Titlebar1.AutoHideType := ahtAnyWhere;
   if cbAHT.Text = 'Minimize' then Titlebar1.AutoHideType := ahtMinimize;
   if cbAHT.Text = 'OtherMinimize' then Titlebar1.AutoHideType := ahtOtherMin;
 
end;

procedure TForm1.Button1Click(Sender: TObject);
begin

   Titlebar1.ShowInTaskBar := not Titlebar1.ShowInTaskBar;
   Titlebar1.MakeTitleBar;

end;

procedure TForm1.CheckBox8Click(Sender: TObject);
begin

   Titlebar1.Resizable := CheckBox8.Checked;

end;

procedure TForm1.Button2Click(Sender: TObject);
begin

   Titlebar1.Transparent := not Titlebar1.Transparent;
   if Titlebar1.Transparent then
      Button2.Caption := 'Not Transparent'
   else
      Button2.Caption := 'Transparent';     

end;






procedure TForm1.Button3Click(Sender: TObject);
begin

   if opd.Execute then begin
      Titlebar1.FormBMP.LoadFromFile( opd.FileName );
      Titlebar1.UsePic := True;
   end else Titlebar1.UsePic := False;

end;

procedure TForm1.Button4Click(Sender: TObject);
begin

   if CD.Execute then Titlebar1.MaskColor := CD.Color;

end;

procedure TForm1.PageControl1MouseDown(Sender: TObject;
  Button: TMouseButton; Shift: TShiftState; X, Y: Integer);
var
  R: TRect;
begin

   DefWindowProc( PageControl1.Handle, WM_SYSCOMMAND, SC_MOVE + 1, 0);
   GetWindowRect( PageControl1.Handle, R );
   PageControl1.Left := R.Left - Form1.Left;
   Pagecontrol1.Top := R.Top - Form1.Top;
   Titlebar1.SetTransparent( Titlebar1.Transparent );

end;

end.
